BERTags (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Interface BERTags

- All Known Implementing Classes:
    ASN1InputStream

      public interface BERTags

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPLICATION`
    `static int` | `BIT_STRING`
    `static int` | `BMP_STRING`
    `static int` | `BOOLEAN`
    `static int` | `CONSTRUCTED`
    `static int` | `CONTEXT_SPECIFIC`
    `static int` | `DATE`
    `static int` | `DATE_TIME`
    `static int` | `DURATION`
    `static int` | `EMBEDDED_PDV`
    `static int` | `ENUMERATED`
    `static int` | `EXTERNAL`
    `static int` | `FLAGS`
    `static int` | `GENERAL_STRING`
    `static int` | `GENERALIZED_TIME`
    `static int` | `GRAPHIC_STRING`
    `static int` | `IA5_STRING`
    `static int` | `INTEGER`
    `static int` | `NULL`
    `static int` | `NUMERIC_STRING`
    `static int` | `OBJECT_DESCRIPTOR`
    `static int` | `OBJECT_IDENTIFIER`
    `static int` | `OBJECT_IDENTIFIER_IRI`
    `static int` | `OCTET_STRING`
    `static int` | `PRINTABLE_STRING`
    `static int` | `PRIVATE`
    `static int` | `REAL`
    `static int` | `RELATIVE_OID`
    `static int` | `RELATIVE_OID_IRI`
    `static int` | `SEQUENCE`
    `static int` | `SEQUENCE_OF`
    `static int` | `SET`
    `static int` | `SET_OF`
    `static int` | `T61_STRING`
    `static int` | `TAGGED`
    `static int` | `TIME`
    `static int` | `TIME_OF_DAY`
    `static int` | `UNIVERSAL`
    `static int` | `UNIVERSAL_STRING`
    `static int` | `UNRESTRICTED_STRING`
    `static int` | `UTC_TIME`
    `static int` | `UTF8_STRING`
    `static int` | `VIDEOTEX_STRING`
    `static int` | `VISIBLE_STRING`

- - ### Field Detail

    - #### BOOLEAN

          static final int BOOLEAN

      See Also:
        Constant Field Values

    - #### INTEGER

          static final int INTEGER

      See Also:
        Constant Field Values

    - #### BIT_STRING

          static final int BIT_STRING

      See Also:
        Constant Field Values

    - #### OCTET_STRING

          static final int OCTET_STRING

      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      See Also:
        Constant Field Values

    - #### OBJECT_IDENTIFIER

          static final int OBJECT_IDENTIFIER

      See Also:
        Constant Field Values

    - #### OBJECT_DESCRIPTOR

          static final int OBJECT_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### EXTERNAL

          static final int EXTERNAL

      See Also:
        Constant Field Values

    - #### REAL

          static final int REAL

      See Also:
        Constant Field Values

    - #### ENUMERATED

          static final int ENUMERATED

      See Also:
        Constant Field Values

    - #### EMBEDDED_PDV

          static final int EMBEDDED_PDV

      See Also:
        Constant Field Values

    - #### UTF8_STRING

          static final int UTF8_STRING

      See Also:
        Constant Field Values

    - #### RELATIVE_OID

          static final int RELATIVE_OID

      See Also:
        Constant Field Values

    - #### TIME

          static final int TIME

      See Also:
        Constant Field Values

    - #### SEQUENCE

          static final int SEQUENCE

      See Also:
        Constant Field Values

    - #### SEQUENCE_OF

          static final int SEQUENCE_OF

      See Also:
        Constant Field Values

    - #### SET

          static final int SET

      See Also:
        Constant Field Values

    - #### SET_OF

          static final int SET_OF

      See Also:
        Constant Field Values

    - #### NUMERIC_STRING

          static final int NUMERIC_STRING

      See Also:
        Constant Field Values

    - #### PRINTABLE_STRING

          static final int PRINTABLE_STRING

      See Also:
        Constant Field Values

    - #### T61_STRING

          static final int T61_STRING

      See Also:
        Constant Field Values

    - #### VIDEOTEX_STRING

          static final int VIDEOTEX_STRING

      See Also:
        Constant Field Values

    - #### IA5_STRING

          static final int IA5_STRING

      See Also:
        Constant Field Values

    - #### UTC_TIME

          static final int UTC_TIME

      See Also:
        Constant Field Values

    - #### GENERALIZED_TIME

          static final int GENERALIZED_TIME

      See Also:
        Constant Field Values

    - #### GRAPHIC_STRING

          static final int GRAPHIC_STRING

      See Also:
        Constant Field Values

    - #### VISIBLE_STRING

          static final int VISIBLE_STRING

      See Also:
        Constant Field Values

    - #### GENERAL_STRING

          static final int GENERAL_STRING

      See Also:
        Constant Field Values

    - #### UNIVERSAL_STRING

          static final int UNIVERSAL_STRING

      See Also:
        Constant Field Values

    - #### UNRESTRICTED_STRING

          static final int UNRESTRICTED_STRING

      See Also:
        Constant Field Values

    - #### BMP_STRING

          static final int BMP_STRING

      See Also:
        Constant Field Values

    - #### DATE

          static final int DATE

      See Also:
        Constant Field Values

    - #### TIME_OF_DAY

          static final int TIME_OF_DAY

      See Also:
        Constant Field Values

    - #### DATE_TIME

          static final int DATE_TIME

      See Also:
        Constant Field Values

    - #### DURATION

          static final int DURATION

      See Also:
        Constant Field Values

    - #### OBJECT_IDENTIFIER_IRI

          static final int OBJECT_IDENTIFIER_IRI

      See Also:
        Constant Field Values

    - #### RELATIVE_OID_IRI

          static final int RELATIVE_OID_IRI

      See Also:
        Constant Field Values

    - #### CONSTRUCTED

          static final int CONSTRUCTED

      See Also:
        Constant Field Values

    - #### UNIVERSAL

          static final int UNIVERSAL

      See Also:
        Constant Field Values

    - #### APPLICATION

          static final int APPLICATION

      See Also:
        Constant Field Values

    - #### TAGGED

          static final int TAGGED

      See Also:
        Constant Field Values

    - #### CONTEXT_SPECIFIC

          static final int CONTEXT_SPECIFIC

      See Also:
        Constant Field Values

    - #### PRIVATE

          static final int PRIVATE

      See Also:
        Constant Field Values

    - #### FLAGS

          static final int FLAGS

      See Also:
        Constant Field Values